[ jEdit-devel ] [jedit:plugin-bugs] #1829 Jakarta Commons update broke dependent packages

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[ jEdit-devel ] [jedit:plugin-bugs] #1829 Jakarta Commons update broke dependent packages

Carlos Oré

[plugin-bugs:#1829] Jakarta Commons update broke dependent packages

Status: open
Group:
Created: Thu Dec 03, 2015 09:00 AM UTC by Carlos Oré
Last Updated: Thu Dec 03, 2015 09:00 AM UTC
Owner: nobody

Hi,

Getting the below errors since upgrade of Jakarta Commons from version 0.7 to 0.9.


* OS:
Linux localhost 3.16.0-4-amd64 #1 SMP Debian 3.16.7-ckt11-1+deb8u6 (2015-11-09) x86_64 GNU/Linux

* Java:
java -version
java version "1.7.0_91"
OpenJDK Runtime Environment (IcedTea 2.6.3) (7u91-2.6.3-1~deb8u1)
OpenJDK 64-Bit Server VM (build 24.91-b01, mixed mode)

* jEdit:
jEdit 5.3.1

* jEdit Plugins:
Jakarta Commons 0.9
Templates 4.1.2


What I tried:
* Starting from a fresh new install,
* Using Java8

I do not know what else to check, but this is pretty easy to replicate...


3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: Error while starting plugin templates.TemplatesPlugin
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: java.lang.NullPointerException
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at templates.TemplateDir.refreshTemplates(Unknown Source)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at templates.TemplatesPlugin.start(Unknown Source)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.PluginJAR.startPlugin(PluginJAR.java:1740)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.PluginJAR.activatePlugin(PluginJAR.java:951)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.PluginJAR.activatePluginIfNecessary(PluginJAR.java:1021)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.PluginJAR.load(PluginJAR.java:241)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.pluginmgr.ManagePanel$PluginTableModel$1.run(ManagePanel.java:572)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:312)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:745)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventQueue.access$300(EventQueue.java:103)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventQueue$3.run(EventQueue.java:706)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventQueue$3.run(EventQueue.java:704)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.security.AccessController.doPrivileged(Native Method)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:77)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventQueue.dispatchEvent(EventQueue.java:715)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventDispatchThread.run(EventDispatchThread.java:91)

Thanks!


Sent from sourceforge.net because [hidden email] is subscribed to https://sourceforge.net/p/jedit/plugin-bugs/

To unsubscribe from further messages, a project admin can change settings at https://sourceforge.net/p/jedit/admin/plugin-bugs/options. Or, if this is a mailing list, you can unsubscribe from the mailing list.


------------------------------------------------------------------------------
Go from Idea to Many App Stores Faster with Intel(R) XDK
Give your users amazing mobile app experiences with Intel(R) XDK.
Use one codebase in this all-in-one HTML5 development environment.
Design, debug & build mobile apps & 2D/3D high-impact games for multiple OSs.
http://pubads.g.doubleclick.net/gampad/clk?id=254741911&iu=/4140
--
-----------------------------------------------
jEdit Developers' List
[hidden email]
https://lists.sourceforge.net/lists/listinfo/jedit-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[ jEdit-devel ] [jedit:plugin-bugs] #1829 Jakarta Commons update broke dependent packages

Steve Jakob-2
  • status: open --> closed-fixed
  • assigned_to: Steve Jakob
  • Group: -->
  • Comment:

Package naming was changed in Commons Lang 3 (in the JakartaCommons plugin) which was incompatible with Velocity 1.5. Fixed in Templates 5.0.0 by updating Velocity to version 1.7.


[plugin-bugs:#1829] Jakarta Commons update broke dependent packages

Status: closed-fixed
Group:
Created: Thu Dec 03, 2015 09:00 AM UTC by Carlos Oré
Last Updated: Fri Jan 29, 2016 03:17 PM UTC
Owner: Steve Jakob

Hi,

Getting the below errors since upgrade of Jakarta Commons from version 0.7 to 0.9.


* OS:
Linux localhost 3.16.0-4-amd64 #1 SMP Debian 3.16.7-ckt11-1+deb8u6 (2015-11-09) x86_64 GNU/Linux

* Java:
java -version
java version "1.7.0_91"
OpenJDK Runtime Environment (IcedTea 2.6.3) (7u91-2.6.3-1~deb8u1)
OpenJDK 64-Bit Server VM (build 24.91-b01, mixed mode)

* jEdit:
jEdit 5.3.1

* jEdit Plugins:
Jakarta Commons 0.9
Templates 4.1.2


What I tried:
* Starting from a fresh new install,
* Using Java8

I do not know what else to check, but this is pretty easy to replicate...


3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: Error while starting plugin templates.TemplatesPlugin
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: java.lang.NullPointerException
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at templates.TemplateDir.refreshTemplates(Unknown Source)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at templates.TemplatesPlugin.start(Unknown Source)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.PluginJAR.startPlugin(PluginJAR.java:1740)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.PluginJAR.activatePlugin(PluginJAR.java:951)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.PluginJAR.activatePluginIfNecessary(PluginJAR.java:1021)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.PluginJAR.load(PluginJAR.java:241)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.pluginmgr.ManagePanel$PluginTableModel$1.run(ManagePanel.java:572)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:312)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:745)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventQueue.access$300(EventQueue.java:103)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventQueue$3.run(EventQueue.java:706)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventQueue$3.run(EventQueue.java:704)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.security.AccessController.doPrivileged(Native Method)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:77)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventQueue.dispatchEvent(EventQueue.java:715)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventDispatchThread.run(EventDispatchThread.java:91)

Thanks!


Sent from sourceforge.net because [hidden email] is subscribed to https://sourceforge.net/p/jedit/plugin-bugs/

To unsubscribe from further messages, a project admin can change settings at https://sourceforge.net/p/jedit/admin/plugin-bugs/options. Or, if this is a mailing list, you can unsubscribe from the mailing list.


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
--
-----------------------------------------------
jEdit Developers' List
[hidden email]
https://lists.sourceforge.net/lists/listinfo/jedit-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[ jEdit-devel ] [jedit:plugin-bugs] #1829 Jakarta Commons update broke dependent packages

John Potelle-2
In reply to this post by Carlos Oré

Thanks for the fix! I just had to revert to old plugins cause Templates broke. Which Plugins mirror has Templates 5.0.0? I can't find it. I can only find "4.1.2 -> 4.1.2" and that doesn't seem right. I'm running jEdit 5.3.0, java 1.8.0_121


[plugin-bugs:#1829] Jakarta Commons update broke dependent packages

Status: closed-fixed
Group:
Created: Thu Dec 03, 2015 09:00 AM UTC by Carlos Oré
Last Updated: Thu Jan 05, 2017 08:17 PM UTC
Owner: Steve Jakob

Hi,

Getting the below errors since upgrade of Jakarta Commons from version 0.7 to 0.9.


* OS:
Linux localhost 3.16.0-4-amd64 #1 SMP Debian 3.16.7-ckt11-1+deb8u6 (2015-11-09) x86_64 GNU/Linux

* Java:
java -version
java version "1.7.0_91"
OpenJDK Runtime Environment (IcedTea 2.6.3) (7u91-2.6.3-1~deb8u1)
OpenJDK 64-Bit Server VM (build 24.91-b01, mixed mode)

* jEdit:
jEdit 5.3.1

* jEdit Plugins:
Jakarta Commons 0.9
Templates 4.1.2


What I tried:
* Starting from a fresh new install,
* Using Java8

I do not know what else to check, but this is pretty easy to replicate...


3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: Error while starting plugin templates.TemplatesPlugin
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: java.lang.NullPointerException
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at templates.TemplateDir.refreshTemplates(Unknown Source)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at templates.TemplatesPlugin.start(Unknown Source)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.PluginJAR.startPlugin(PluginJAR.java:1740)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.PluginJAR.activatePlugin(PluginJAR.java:951)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.PluginJAR.activatePluginIfNecessary(PluginJAR.java:1021)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.PluginJAR.load(PluginJAR.java:241)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.pluginmgr.ManagePanel$PluginTableModel$1.run(ManagePanel.java:572)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:312)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:745)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventQueue.access$300(EventQueue.java:103)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventQueue$3.run(EventQueue.java:706)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventQueue$3.run(EventQueue.java:704)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.security.AccessController.doPrivileged(Native Method)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:77)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventQueue.dispatchEvent(EventQueue.java:715)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventDispatchThread.run(EventDispatchThread.java:91)

Thanks!


Sent from sourceforge.net because [hidden email] is subscribed to https://sourceforge.net/p/jedit/plugin-bugs/

To unsubscribe from further messages, a project admin can change settings at https://sourceforge.net/p/jedit/admin/plugin-bugs/options. Or, if this is a mailing list, you can unsubscribe from the mailing list.


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
--
-----------------------------------------------
jEdit Developers' List
[hidden email]
https://lists.sourceforge.net/lists/listinfo/jedit-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [ jEdit-devel ] [jedit:plugin-bugs] #1829 Jakarta Commons update broke dependent packages

Steve Jakob

On Feb 2, 2017, at 3:51 PM, John Potelle <[hidden email]> wrote:

Thanks for the fix! I just had to revert to old plugins cause Templates broke. Which Plugins mirror has Templates 5.0.0? I can't find it. I can only find "4.1.2 -> 4.1.2" and that doesn't seem right. I'm running jEdit 5.3.0, java 1.8.0_121


Templates 5.0.0 has been submitted for release, but has not been officially released yet. 

Steve Jakob



------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
--
-----------------------------------------------
jEdit Developers' List
[hidden email]
https://lists.sourceforge.net/lists/listinfo/jedit-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[ jEdit-devel ] [jedit:plugin-bugs] Re: #1829 Jakarta Commons update broke dependent packages

Steve Jakob-2
In reply to this post by John Potelle-2

On Feb 2, 2017, at 3:51 PM, John Potelle [hidden email] wrote:

Thanks for the fix! I just had to revert to old plugins cause Templates broke. Which Plugins mirror has Templates 5.0.0? I can't find it. I can only find "4.1.2 -> 4.1.2" and that doesn't seem right. I'm running jEdit 5.3.0, java 1.8.0_121

Templates 5.0.0 has been submitted for release, but has not been officially released yet.

Steve Jakob


[plugin-bugs:#1829] Jakarta Commons update broke dependent packages

Status: closed-fixed
Group:
Created: Thu Dec 03, 2015 09:00 AM UTC by Carlos Oré
Last Updated: Thu Feb 02, 2017 08:51 PM UTC
Owner: Steve Jakob

Hi,

Getting the below errors since upgrade of Jakarta Commons from version 0.7 to 0.9.


* OS:
Linux localhost 3.16.0-4-amd64 #1 SMP Debian 3.16.7-ckt11-1+deb8u6 (2015-11-09) x86_64 GNU/Linux

* Java:
java -version
java version "1.7.0_91"
OpenJDK Runtime Environment (IcedTea 2.6.3) (7u91-2.6.3-1~deb8u1)
OpenJDK 64-Bit Server VM (build 24.91-b01, mixed mode)

* jEdit:
jEdit 5.3.1

* jEdit Plugins:
Jakarta Commons 0.9
Templates 4.1.2


What I tried:
* Starting from a fresh new install,
* Using Java8

I do not know what else to check, but this is pretty easy to replicate...


3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: Error while starting plugin templates.TemplatesPlugin
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: java.lang.NullPointerException
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at templates.TemplateDir.refreshTemplates(Unknown Source)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at templates.TemplatesPlugin.start(Unknown Source)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.PluginJAR.startPlugin(PluginJAR.java:1740)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.PluginJAR.activatePlugin(PluginJAR.java:951)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.PluginJAR.activatePluginIfNecessary(PluginJAR.java:1021)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.PluginJAR.load(PluginJAR.java:241)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.pluginmgr.ManagePanel$PluginTableModel$1.run(ManagePanel.java:572)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:312)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:745)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventQueue.access$300(EventQueue.java:103)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventQueue$3.run(EventQueue.java:706)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventQueue$3.run(EventQueue.java:704)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.security.AccessController.doPrivileged(Native Method)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:77)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventQueue.dispatchEvent(EventQueue.java:715)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138)
3:55:11 PM [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventDispatchThread.run(EventDispatchThread.java:91)

Thanks!


Sent from sourceforge.net because [hidden email] is subscribed to https://sourceforge.net/p/jedit/plugin-bugs/

To unsubscribe from further messages, a project admin can change settings at https://sourceforge.net/p/jedit/admin/plugin-bugs/options. Or, if this is a mailing list, you can unsubscribe from the mailing list.


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
--
-----------------------------------------------
jEdit Developers' List
[hidden email]
https://lists.sourceforge.net/lists/listinfo/jedit-devel
Loading...